org.eclipse.emf.facet.custom.ui

## Interface IResolvingCustomizedLabelProviderFactory

    public interface IResolvingCustomizedLabelProviderFactory

A factory to create instances of `ICustomizedLabelProvider` that work on proxy UI elements, by customizing the resolved elements.

Since:
  0.2
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static IResolvingCustomizedLabelProviderFactory` `DEFAULT`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICustomizedLabelProvider` `createCustomizedLabelProvider(ICustomizationManager customizationMgr)` This method is used to instantiate a `ICustomizedLabelProvider`.

### Field Detail

#### DEFAULT

    static final IResolvingCustomizedLabelProviderFactory DEFAULT

### Method Detail

#### createCustomizedLabelProvider

    ICustomizedLabelProvider createCustomizedLabelProvider(ICustomizationManager customizationMgr)

This method is used to instantiate a `ICustomizedLabelProvider`.

Parameters:
  `customizationManager` - the customization manager which has to used by the content provider.
Returns:
  a label provider